//------------------------------------------------------------------------
//  LEVEL LOADING ETC
//------------------------------------------------------------------------
//
//  Eureka DOOM Editor
//
//  Copyright (C) 2001-2009 Andrew Apted
//  Copyright (C) 1997-2003 André Majorel et al
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//------------------------------------------------------------------------
//
//  Based on Yadex which incorporated code from DEU 5.21 that was put
//  in the public domain in 1994 by Raphaël Quinet and Brendon Wyber.
//
//------------------------------------------------------------------------


#ifndef YH_LEVELS  /* Prevent multiple inclusion */
#define YH_LEVELS  /* Prevent multiple inclusion */


#include <string>

#include "e_things.h"


extern int MapBound_lx;   /* minimum X value of map */
extern int MapBound_ly;   /* minimum Y value of map */
extern int MapBound_hx;   /* maximum X value of map */
extern int MapBound_hy;   /* maximum Y value of map */

extern int MadeChanges; // made changes?
                        // >= 2 means need to rebuild nodes

void MarkChanges(int scope = 1);

void CalculateLevelBounds();


extern char Level_name[WAD_NAME + 1]; /* The name of the level (E.G.
           "MAP01" or "E1M1"), followed by a
           NUL. If the Level has been created as
           the result of a "c" command with no
           argument, an empty string. The name
           is not necesarily in upper case but
           it always a valid lump name, not a
           command line shortcut like "17". */

extern y_file_name_t Level_file_name;  /* The name of the file in which
           the level would be saved. If the
           level has been created as the result
           of a "c" command, with or without
           argument, an empty string. */

extern y_file_name_t Level_file_name_saved;  /* The name of the file in
           which the level was last saved. If
           the Level has never been saved yet,
           an empty string. */


extern std::string sky_flat;
extern int sky_color;


// is this flat a sky?
bool is_sky(const char *flat);


int levelname2levelno (const char *name);
int levelname2rank (const char *name);


void MapStuff_NotifyBegin();
void MapStuff_NotifyInsert(obj_type_t type, int objnum);
void MapStuff_NotifyDelete(obj_type_t type, int objnum);
void MapStuff_NotifyChange(obj_type_t type, int objnum, int field);
void MapStuff_NotifyEnd();


#endif  /* DO NOT ADD ANYTHING AFTER THIS LINE */
//--- editor settings ---
// vi:ts=4:sw=4:noexpandtab
