//------------------------------------------------------------------------
//  MIRROR / ROTATE / ETC OPS
//------------------------------------------------------------------------
//
//  Eureka DOOM Editor
//
//  Copyright (C) 2001-2009 Andrew Apted
//  Copyright (C) 1997-2003 André Majorel et al
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//------------------------------------------------------------------------
//
//  Based on Yadex which incorporated code from DEU 5.21 that was put
//  in the public domain in 1994 by Raphaël Quinet and Brendon Wyber.
//
//------------------------------------------------------------------------

#include <math.h>


void centre_of_objects(selection_c * list, int *x, int *y);
void bbox_of_objects(selection_c * list, int *x1, int *y1, int *x2, int *y2);

void CMD_MirrorObjects(bool is_vert);
void CMD_RotateObjects(bool anti_clockwise);  // 90 degrees
void CMD_ScaleObjects (bool is_half);

void CMD_QuantizeObjects();


int exchange_objects_numbers (int obj_type, SelPtr list, bool adjust);


inline void RotateAndScaleCoords (int *x, int *y, double angle, double scale)
{
  double r, theta;

  r = hypot ((double) *x, (double) *y);
  theta = atan2 ((double) *y, (double) *x);
  *x = (int) (r * scale * cos (theta + angle) + 0.5);
  *y = (int) (r * scale * sin (theta + angle) + 0.5);
}

void RotateAndScaleObjects (int, SelPtr, double, double);


//--- editor settings ---
// vi:ts=4:sw=4:noexpandtab
